API referenceMetrics-data-sources

Get Metrics Deployment Preset

GET/api/v1/metrics-data-sources/deployment-preset

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/metrics-data-sources/deployment-preset"
{  "config": {    "collection": "native",    "collector": "vmagent",    "export": {      "endpoint": "string",      "interval_seconds": 30,      "protocol": "http/protobuf"    },    "query": {      "endpoint": "string",      "scope_labels": {}    }  },  "has_query_credentials": true,  "name": "string",  "revision": "string"}